package com.bonus.canteen.core.bus.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("bus_site")
@ApiModel(
   value = "BusSite",
   description = "站点信息表"
)
public class BusSite implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("站点id")
   private Long siteId;
   @ApiModelProperty("站点编号")
   private String siteNum;
   @ApiModelProperty("站点名称")
   private String siteName;
   @ApiModelProperty("经度起始值")
   private String longitudeStart;
   @ApiModelProperty("经度结束值")
   private String longitudeEnd;
   @ApiModelProperty("纬度起始值")
   private String latitudeStart;
   @ApiModelProperty("纬度结束值")
   private String latitudeEnd;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getSiteId() {
      return this.siteId;
   }

   public String getSiteNum() {
      return this.siteNum;
   }

   public String getSiteName() {
      return this.siteName;
   }

   public String getLongitudeStart() {
      return this.longitudeStart;
   }

   public String getLongitudeEnd() {
      return this.longitudeEnd;
   }

   public String getLatitudeStart() {
      return this.latitudeStart;
   }

   public String getLatitudeEnd() {
      return this.latitudeEnd;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BusSite setSiteId(final Long siteId) {
      this.siteId = siteId;
      return this;
   }

   public BusSite setSiteNum(final String siteNum) {
      this.siteNum = siteNum;
      return this;
   }

   public BusSite setSiteName(final String siteName) {
      this.siteName = siteName;
      return this;
   }

   public BusSite setLongitudeStart(final String longitudeStart) {
      this.longitudeStart = longitudeStart;
      return this;
   }

   public BusSite setLongitudeEnd(final String longitudeEnd) {
      this.longitudeEnd = longitudeEnd;
      return this;
   }

   public BusSite setLatitudeStart(final String latitudeStart) {
      this.latitudeStart = latitudeStart;
      return this;
   }

   public BusSite setLatitudeEnd(final String latitudeEnd) {
      this.latitudeEnd = latitudeEnd;
      return this;
   }

   public BusSite setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public BusSite setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public BusSite setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public BusSite setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public BusSite setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public BusSite setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
